#
# spec file for package gpsk31 (Version 0.2.4a)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  autoconf automake glib glib-devel gpp gtk gtk-devel libgpp xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libstdc++-devel libtool perl rpm xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         gpsk31
URL:          http://1409.org/projects/gpsk31/
License:      GPL
Group:        Productivity/Hamradio/Psk31
Obsoletes:    psk31
Autoreqprov:  on
Version:      0.2.4a
Release:      733
Source:       ftp://metalab.unc.edu/pub/Linux/apps/ham/%{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
#URL:          http://www.foo.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      PSK31 with GTK+ Frontend

%description
PSK31 for Linux with a GTK+ Interface. Uses DL9RDZ's new PSK31
Implementation (0.75).



Authors:
--------
    Hansi Reiser, DL9RDZ <dl9rdz@amsat.org>
    Luc Langehegermann, LX2GT <lx2gt@qsl.net>

%debug_package
%prep
%setup
%patch

%build
%define prefix   /usr
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
./configure --mandir={_mandir} \
            --prefix=%{prefix} \
	    --bindir=%{prefix}/X11R6/bin \
	    --libexecdir=%{prefix}/lib \
	    --datadir=%{prefix}/share \
	    --sysconfdir=%{sysconfdir}
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT%{prefix} \
     bindir=$RPM_BUILD_ROOT%{prefix}/X11R6/bin \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     libexecdir=$RPM_BUILD_ROOT%{prefix}/lib \
     datadir=$RPM_BUILD_ROOT%{prefix}/share \
     install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO 
%{prefix}/X11R6/bin/gpsk31
%dir /usr/share/gpsk31
%config(noreplace)/usr/share/gpsk31/gpsk31.conf
%config(noreplace)/usr/share/gpsk31/psk31.cod

%changelog -n gpsk31
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Apr 05 2001 - schwab@suse.de
- Fix missing declarations.
* Sat Dec 02 2000 - ka@suse.de
- update tp version 0.2.4a
- fixed group to X11/Applications/Hamradio
- new version provides global configuration file under /usr/share/gpsk31
  which can be overridden by user file under ~/.gpsk31/*
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue May 16 2000 - ka@suse.de
- initial release 0.2.3
